﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace ValueListSample1
{
    public partial class Form1 : Form
    {


        public List<DataItem> DataItems
        {
            get
            {
                List<DataItem> lst = new List<DataItem>();

                lst.Add(new DataItem() { Name = "Name1", SomeValue = (int)SampleEnum.Value1 });
                lst.Add(new DataItem() { Name = "Name2", SomeValue = (int)SampleEnum.Value2 });
                lst.Add(new DataItem() { Name = "Name3", SomeValue = (int)SampleEnum.Value3 });

                return lst;
            }
        }

        private ValueList _sampleValueList1;
        public ValueList SampleValueList1
        {
            get
            {
                if (_sampleValueList1 == null)
                {
                    _sampleValueList1 = new ValueList();

                    foreach (string name in Enum.GetNames(typeof(SampleEnum)))
                    {
                        ValueListItem itm = new ValueListItem((int)Enum.Parse(typeof(SampleEnum), name), name);
                        _sampleValueList1.ValueListItems.Add(itm);
                    }
                }

                return _sampleValueList1;
            }
        }


        protected void LoadData()
        {
            grdSample1.DataSource = DataItems;
            grdSample1.DisplayLayout.Bands[0].Columns["SomeValue"].ValueList = SampleValueList1;
        }


        public Form1()
        {
            InitializeComponent();
        }

        private void btnLoadData_Click(object sender, EventArgs e)
        {
            LoadData();
        }
    }


    public class DataItem
    {
        public string Name { get; set;}
        public int SomeValue { get; set; }
    }

    public enum SampleEnum
    {
        Value1 = 10,
        Value2 = 20,
        Value3 = 30
    }
}
